tigase.server.ext

## Class CompRepoItem

- java.lang.Object
- - tigase.db.comp.RepositoryItemAbstract
  - - tigase.server.ext.CompRepoItem

- All Implemented Interfaces:
    RepositoryItem

      public class CompRepoItem
      extends RepositoryItemAbstract

  Created: Oct 3, 2009 4:39:51 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONN_TYPE_ATTR` Field description
    `static String` | `CONNECTION_TYPE_LABEL` Field description
    `static LoadBalancerIfc` | `DEF_LB_CLASS` Field description
    `static String` | `DOMAIN_ATTR` Field description
    `static String` | `DOMAIN_NAME_LABEL` Field description
    `static String` | `DOMAIN_PASS_LABEL` Field description
    `static String` | `LB_CLASS_LABEL` Field description
    `static String` | `LB_NAME_ATTR` Field description
    `static String` | `PASSWORD_ATTR` Field description
    `static String` | `PORT_NO_ATTR` Field description
    `static String` | `PORT_NO_LABEL` Field description
    `static String` | `PROTO_XMLNS_ATTR` Field description
    `static String` | `PROTO_XMLNS_LABEL` Field description
    `static String` | `REMOTE_HOST_ATTR` Field description
    `static String` | `REMOTE_HOST_LABEL` Field description
    `static String` | `REPO_ITEM_ELEM_NAME` Field description
    `static String` | `ROUTINGS_ATTR` Field description
    `static String` | `ROUTINGS_LABEL` Field description

    - ### Fields inherited from class tigase.db.comp.RepositoryItemAbstract

      `ADMINS_ATT, ADMINS_LABEL, OWNER_ATT, OWNER_LABEL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompRepoItem()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCommandFields(Packet packet)` The method is used for handling ad-hoc commands.
    `String` | `getAuthPasswd()` Method description
    `ConnectionType` | `getConnectionType()` Method description
    `String` | `getDomain()` Method description
    `String` | `getElemName()` Method description
    `String` | `getKey()` Returns a unique key for the item in the repository.
    `LoadBalancerIfc` | `getLoadBalancer()` Method description
    `int` | `getPort()` Method description
    `String` | `getRemoteHost()` Method description
    `String[]` | `getRoutings()` Method description
    `String` | `getXMLNS()` Method description
    `void` | `initFromCommand(Packet packet)` The method used for handling ad-hoc commands.
    `void` | `initFromElement(tigase.xml.Element elem)` The item can be also initialized from a more complex repositories: XML repository or SQL database.
    `void` | `initFromPropertyString(String propString)` The item can be initialized based on the data loaded from a configuration file.
    `void` | `setDomain(String domain)` Method description
    `tigase.xml.Element` | `toElement()` Item data can be stored in a more complex form than a simple property string.
    `String` | `toPropertyString()` The item can be initialized based on the data loaded from a configuration file.
    `String` | `toString()`

    - ### Methods inherited from class tigase.db.comp.RepositoryItemAbstract

      `getAdmins, getOwner, isAdmin, isOwner, setAdmins, setOwner`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CONN_TYPE_ATTR

          public static final String CONN_TYPE_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### CONNECTION_TYPE_LABEL

          public static final String CONNECTION_TYPE_LABEL

      Field description
      See Also:
        Constant Field Values

    - #### DOMAIN_ATTR

          public static final String DOMAIN_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### DOMAIN_NAME_LABEL

          public static final String DOMAIN_NAME_LABEL

      Field description
      See Also:
        Constant Field Values

    - #### DOMAIN_PASS_LABEL

          public static final String DOMAIN_PASS_LABEL

      Field description
      See Also:
        Constant Field Values

    - #### LB_CLASS_LABEL

          public static final String LB_CLASS_LABEL

      Field description
      See Also:
        Constant Field Values

    - #### LB_NAME_ATTR

          public static final String LB_NAME_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### PASSWORD_ATTR

          public static final String PASSWORD_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### PORT_NO_ATTR

          public static final String PORT_NO_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### PORT_NO_LABEL

          public static final String PORT_NO_LABEL

      Field description
      See Also:
        Constant Field Values

    - #### PROTO_XMLNS_ATTR

          public static final String PROTO_XMLNS_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### PROTO_XMLNS_LABEL

          public static final String PROTO_XMLNS_LABEL

      Field description
      See Also:
        Constant Field Values

    - #### REMOTE_HOST_ATTR

          public static final String REMOTE_HOST_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### REMOTE_HOST_LABEL

          public static final String REMOTE_HOST_LABEL

      Field description
      See Also:
        Constant Field Values

    - #### REPO_ITEM_ELEM_NAME

          public static final String REPO_ITEM_ELEM_NAME

      Field description
      See Also:
        Constant Field Values

    - #### ROUTINGS_ATTR

          public static final String ROUTINGS_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### ROUTINGS_LABEL

          public static final String ROUTINGS_LABEL

      Field description
      See Also:
        Constant Field Values

    - #### DEF_LB_CLASS

          public static final LoadBalancerIfc DEF_LB_CLASS

      Field description

  - ### Constructor Detail

    - #### CompRepoItem

          public CompRepoItem()

  - ### Method Detail

    - #### addCommandFields

          public void addCommandFields(Packet packet)

      Description copied from interface: `RepositoryItem`
      The method is used for handling ad-hoc commands. The 'empty' ad-hoc command packet is provided and the Item should fill it with fields for the user.
      Specified by:
        `addCommandFields` in interface `RepositoryItem`
      Overrides:
        `addCommandFields` in class `RepositoryItemAbstract`
      Parameters:
        `packet` - with empty ad-hoc command to fill with fields

    - #### getAuthPasswd

          public String getAuthPasswd()

      Method description

    - #### getConnectionType

          public ConnectionType getConnectionType()

      Method description

    - #### getLoadBalancer

          public LoadBalancerIfc getLoadBalancer()

      Method description

    - #### getDomain

          public String getDomain()

      Method description

    - #### getElemName

          public String getElemName()

      Description copied from class: `RepositoryItemAbstract`
      Method description
      Specified by:
        `getElemName` in class `RepositoryItemAbstract`

    - #### getKey

          public String getKey()

      Description copied from interface: `RepositoryItem`
      Returns a unique key for the item in the repository. All items are stored in a memory cache which is a Map. And the key returned by this method is the item identifier in the Map.
      Returns:
        an Item key.

    - #### getPort

          public int getPort()

      Method description

    - #### getRemoteHost

          public String getRemoteHost()

      Method description

    - #### getRoutings

          public String[] getRoutings()

      Method description

    - #### getXMLNS

          public String getXMLNS()

      Method description

    - #### initFromCommand

          public void initFromCommand(Packet packet)

      Description copied from interface: `RepositoryItem`
      The method used for handling ad-hoc commands. After a user fills all given field the ad-hoc command packet is passed back to the item to initialize it with data. Similar method to initFromElement(), but the data source is different.
      Specified by:
        `initFromCommand` in interface `RepositoryItem`
      Overrides:
        `initFromCommand` in class `RepositoryItemAbstract`
      Parameters:
        `packet` - with ad-hoc command filled by the user.

    - #### initFromElement

          public void initFromElement(tigase.xml.Element elem)

      Description copied from interface: `RepositoryItem`
      The item can be also initialized from a more complex repositories: XML repository or SQL database. In such a case more complex representation is prefered, possibly carrying more information about the item. The method is called to initialize the item with a data parsed from an XML representation of the repository.
      Specified by:
        `initFromElement` in interface `RepositoryItem`
      Overrides:
        `initFromElement` in class `RepositoryItemAbstract`
      Parameters:
        `elem` - XML Element with all the item initialization data.

    - #### initFromPropertyString

          public void initFromPropertyString(String propString)

      Description copied from interface: `RepositoryItem`
      The item can be initialized based on the data loaded from a configuration file. In such a case the item representation is usually very simplified as a list of parameters separated by a marker. Please note, usually each item is separated from another with a comma, therefore do not use a comma in the item property string. Double collon is commonly used alternative.
      Parameters:
        `propString` - is a property string to initialize the RepositoryItem.

    - #### setDomain

          public void setDomain(String domain)

      Method description
      Parameters:
        `domain` -

    - #### toElement

          public tigase.xml.Element toElement()

      Description copied from interface: `RepositoryItem`
      Item data can be stored in a more complex form than a simple property string. The XML Element can contain much more detailed information about the element than the simplified form and is used to store the repository item in more advanced repositories then just property file. XML repository or SQL database can keep many records for repository item with as much detailed information as needed.
      Specified by:
        `toElement` in interface `RepositoryItem`
      Overrides:
        `toElement` in class `RepositoryItemAbstract`
      Returns:
        an XML Element with all the item initialization data.

    - #### toPropertyString

          public String toPropertyString()

      Description copied from interface: `RepositoryItem`
      The item can be initialized based on the data loaded from a configuration file. In such a case the item representation is usually very simplified as a list of parameters separated by a marker. Please note, usually each item is separated from another with a comma, therefore do not use a comma in the item property string. Double collon is commonly used alternative.
      Returns:
        a property string representing the repository item in a simplified form.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015 "Tigase, Inc.". All rights reserved.